<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Core\Model\DateUnit;

defined( 'ABSPATH' ) || exit;

interface InheritanceRestrictionRulesInterface
{
    public function inheritStopSale(): bool;
    public function inheritMinLengthOfStay(): bool;
    public function inheritMaxLengthOfStay(): bool;
    public function inheritMinLengthOfStayArrival(): bool;
    public function inheritMaxLengthOfStayArrival(): bool;
    public function inheritMinAdvBooking(): bool;
    public function inheritMaxAdvBooking(): bool;
    public function inheritCloseToArrival(): bool;
    public function inheritCloseToDeparture(): bool;
}
